claw::graphic::png::writer::options Struct Reference

Parameters of the writing algorithm. More...

`#include <png.hpp>`

## Public Types

enum | compression_level { no_compression = Z_NO_COMPRESSION , best_speed = Z_BEST_SPEED , best_compression = Z_BEST_COMPRESSION , default_compression = Z_DEFAULT_COMPRESSION }
| Compression level in the interlaced image. More...
enum | interlace_type { none = PNG_INTERLACE_NONE , adam7 = PNG_INTERLACE_ADAM7 }
| The algorithm to use to interlace the saved image. More...

## Public Member Functions

| options ()
| Default constructor.
| options (compression_level compression_level_, interlace_type interlace_)
| Constructor.

## Public Attributes

compression_level | compression
| Compression level to use in the saved stream.
interlace_type | interlace
| Interlace method to apply to the saved image.

## Detailed Description

Parameters of the writing algorithm.

Definition at line 121 of file png.hpp.

## Member Enumeration Documentation

## compression_level

enum claw::graphic::png::writer::options::compression_level

Compression level in the interlaced image.

Definition at line 125 of file png.hpp.

## interlace_type

enum claw::graphic::png::writer::options::interlace_type

The algorithm to use to interlace the saved image.

Enumerator
none | Saved image won't be interaced.
adam7 | Saved image will be interlaced using the Adam7 algorithm.

Definition at line 134 of file png.hpp.

## Constructor & Destructor Documentation

## options() [1/2]

claw::graphic::png::writer::options::options | ( |  | ) |

Default constructor.

Definition at line 106 of file png_writer.cpp.

References compression, interlace, and none.

## options() [2/2]

claw::graphic::png::writer::options::options | ( | compression_level | compression_level_,
|  | interlace_type | interlace_ )

Constructor.

Parameters

  compression_level_ | Compression level to use in the saved stream.
  interlace_ | Interlace method to apply to the saved image.

Definition at line 118 of file png_writer.cpp.

References compression, and interlace.

## Member Data Documentation

## compression

compression_level claw::graphic::png::writer::options::compression

Compression level to use in the saved stream.

Definition at line 151 of file png.hpp.

Referenced by options(), and options().

## interlace

interlace_type claw::graphic::png::writer::options::interlace

Interlace method to apply to the saved image.

Definition at line 154 of file png.hpp.

Referenced by options(), and options().

The documentation for this struct was generated from the following files:

- png.hpp
- code/png_writer.cpp